public class Persona implements Ordinabile { 
    private String nome; 
    private String indirizzo; 
    
    public Persona() {  
        this("John Doe","ignoto");
    } 

    public Persona(String nome) {  
        this(nome,"ignoto");
    } 
    
    public Persona(String nome, String indirizzo) {  
        this.nome = nome; 
        this.indirizzo = indirizzo; 
    } 

    public String getNome() { 
        return nome; 
    } 
    
    public String getIndirizzo() { 
        return indirizzo; 
    } 
    
    public String toString() { 
    	return  "Nome: " + nome + "; Indirizzo: " + indirizzo; 
    } 

   	public boolean equals(Object obj) {
   		if (obj == null) return false;
   		if (!(obj instanceof Persona)) return false;
   		Persona p = (Persona) obj;
        return this.nome.equalsIgnoreCase(p.nome) && this.indirizzo.equalsIgnoreCase(p.indirizzo);    	}


    public boolean maggioreDi (Ordinabile o) {
      	if (o instanceof Persona) 
      	 /* s1.compareTo(s2)
      	  *     if s1 > s2, it returns positive number  
      	  *     if s1 < s2, it returns negative number  
      	  *     if s1 == s2, it returns 0  	
      	  */
         return (nome.compareTo(((Persona) o).getNome()) >= 0);
      	else
         return false;
   }
 
}